Page MenuHomePhabricator

Search in Phabricator fails to find "WP:QT", "fr:WP:QT"
Closed, DuplicatePublic

Description

I am on phabricator.wikimedia.org with Safari on iOS 8 on my iPad.

I search: WP:QT

I expect the search to find an issue.
But the search finds nothing.

I search: fr:WP:QT

I expect the search to find an issue.
But the search finds nothing.

The issue I expect is:

T96476: The page fr:WP:QT does not immediately display edit (due to using templates and transclusion?), and does not offer any way to purge it

It would be nice to fix this bug.

Thank you.

Nnemo

Event Timeline

Nnemo created this task.May 8 2015, 7:51 AM
Nnemo raised the priority of this task from to Needs Triage.
Nnemo updated the task description. (Show Details)
Nnemo added a project: Phabricator.
Nnemo added a subscriber: Nnemo.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 8 2015, 7:51 AM
Nnemo updated the task description. (Show Details)May 8 2015, 7:52 AM
Nnemo set Security to None.
Aklapper added a comment.EditedMay 11 2015, 9:46 AM

I'm pretty sure a colon is handled like a whitespace, so you end up with three separate words which all have only two letters.
The default MySQL/MariaDB search engine backend ignores such short strings...
This might get fixed (I am not sure!) if we ever switch to an ElasticSearch backend instead.

Aklapper renamed this task from The search in Phabricator fails to find the issue to Search in Phabricator fails to find "fr:WP:QT".May 11 2015, 9:46 AM
Aklapper triaged this task as Lowest priority.
Nnemo renamed this task from Search in Phabricator fails to find "fr:WP:QT" to Search in Phabricator fails to find "WP:QT", "fr:WP:QT".May 11 2015, 2:28 PM
Nnemo awarded a token.
Restricted Application added a subscriber: scfc. · View Herald TranscriptJun 16 2015, 12:51 PM
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptJul 2 2016, 7:42 PM

This specific problem would "automatically" be fixed (or at least clear) by fixing T125674. Hence merging.